--------------------------------------------------------
--  DDL for Table DW_AJUDA
--------------------------------------------------------

  CREATE TABLE "PFC_DWH"."DW_AJUDA" 
   (	"IDFRANJAEDAT" NUMBER, 
	"IDPAIS" NUMBER, 
	"IDTEMPS" NUMBER, 
	"IDSEXE" NUMBER, 
	"COMPRADES" NUMBER, 
	"SUMAIMPORT" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DW_FRANJAEDAT
--------------------------------------------------------

  CREATE TABLE "PFC_DWH"."DW_FRANJAEDAT" 
   (	"ID" NUMBER, 
	"EDATINFERIOR" NUMBER, 
	"EDATSUPERIOR" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DW_PAIS
--------------------------------------------------------

  CREATE TABLE "PFC_DWH"."DW_PAIS" 
   (	"ID" NUMBER, 
	"NOM" VARCHAR2(100 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DW_PARTIDA
--------------------------------------------------------

  CREATE TABLE "PFC_DWH"."DW_PARTIDA" 
   (	"IDFRANJAEDAT" NUMBER, 
	"IDPAIS" NUMBER, 
	"IDTEMPS" NUMBER, 
	"IDSEXE" NUMBER, 
	"IDPLATAFORMA" NUMBER, 
	"JUGADES" NUMBER, 
	"HORESDEJOC" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DW_PLATAFORMA
--------------------------------------------------------

  CREATE TABLE "PFC_DWH"."DW_PLATAFORMA" 
   (	"ID" NUMBER, 
	"NOM" VARCHAR2(100 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DW_SEXE
--------------------------------------------------------

  CREATE TABLE "PFC_DWH"."DW_SEXE" 
   (	"ID" NUMBER, 
	"DESCRIPCIO" VARCHAR2(10 CHAR)
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DW_TEMPS
--------------------------------------------------------

  CREATE TABLE "PFC_DWH"."DW_TEMPS" 
   (	"ID" NUMBER, 
	"YEAR" NUMBER, 
	"MES" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Table DW_VIDA
--------------------------------------------------------

  CREATE TABLE "PFC_DWH"."DW_VIDA" 
   (	"IDPAIS" NUMBER, 
	"IDFRANJAEDAT" NUMBER, 
	"IDSEXE" NUMBER, 
	"IDTEMPS" NUMBER, 
	"COMPRADES" NUMBER, 
	"SUMAIMPORT" NUMBER, 
	"INTERCANVIADES" NUMBER
   ) SEGMENT CREATION IMMEDIATE 
  PCTFREE 10 PCTUSED 40 INITRANS 1 MAXTRANS 255 NOCOMPRESS LOGGING
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index DW_AJUDA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC_DWH"."DW_AJUDA_PK" ON "PFC_DWH"."DW_AJUDA" ("IDFRANJAEDAT", "IDPAIS", "IDTEMPS", "IDSEXE") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index DW_FRANJAEDAT_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC_DWH"."DW_FRANJAEDAT_PK" ON "PFC_DWH"."DW_FRANJAEDAT" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index DW_PAIS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC_DWH"."DW_PAIS_PK" ON "PFC_DWH"."DW_PAIS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index DW_PARTIDA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC_DWH"."DW_PARTIDA_PK" ON "PFC_DWH"."DW_PARTIDA" ("IDFRANJAEDAT", "IDPAIS", "IDTEMPS", "IDSEXE", "IDPLATAFORMA") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index PLATAFORMA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC_DWH"."PLATAFORMA_PK" ON "PFC_DWH"."DW_PLATAFORMA" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index DW_SEXE_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC_DWH"."DW_SEXE_PK" ON "PFC_DWH"."DW_SEXE" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index DW_TEMPS_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC_DWH"."DW_TEMPS_PK" ON "PFC_DWH"."DW_TEMPS" ("ID") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index DW_MES_ANY_UNIQUE
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC_DWH"."DW_MES_ANY_UNIQUE" ON "PFC_DWH"."DW_TEMPS" ("YEAR", "MES") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  DDL for Index DW_VIDA_PK
--------------------------------------------------------

  CREATE UNIQUE INDEX "PFC_DWH"."DW_VIDA_PK" ON "PFC_DWH"."DW_VIDA" ("IDFRANJAEDAT", "IDPAIS", "IDSEXE", "IDTEMPS") 
  PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS" ;
--------------------------------------------------------
--  Constraints for Table DW_AJUDA
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_AJUDA" MODIFY ("SUMAIMPORT" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_AJUDA" MODIFY ("COMPRADES" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_AJUDA" ADD CONSTRAINT "DW_AJUDA_PK" PRIMARY KEY ("IDFRANJAEDAT", "IDPAIS", "IDTEMPS", "IDSEXE")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC_DWH"."DW_AJUDA" MODIFY ("IDSEXE" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_AJUDA" MODIFY ("IDTEMPS" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_AJUDA" MODIFY ("IDPAIS" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_AJUDA" MODIFY ("IDFRANJAEDAT" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DW_FRANJAEDAT
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_FRANJAEDAT" MODIFY ("EDATSUPERIOR" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_FRANJAEDAT" MODIFY ("EDATINFERIOR" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_FRANJAEDAT" ADD CONSTRAINT "DW_FRANJAEDAT_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC_DWH"."DW_FRANJAEDAT" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DW_PAIS
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_PAIS" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_PAIS" ADD CONSTRAINT "DW_PAIS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC_DWH"."DW_PAIS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DW_PARTIDA
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_PARTIDA" MODIFY ("HORESDEJOC" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" MODIFY ("JUGADES" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" ADD CONSTRAINT "DW_PARTIDA_PK" PRIMARY KEY ("IDFRANJAEDAT", "IDPAIS", "IDTEMPS", "IDSEXE", "IDPLATAFORMA")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" MODIFY ("IDPLATAFORMA" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" MODIFY ("IDSEXE" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" MODIFY ("IDTEMPS" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" MODIFY ("IDPAIS" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" MODIFY ("IDFRANJAEDAT" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DW_PLATAFORMA
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_PLATAFORMA" MODIFY ("NOM" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_PLATAFORMA" ADD CONSTRAINT "PLATAFORMA_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC_DWH"."DW_PLATAFORMA" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DW_SEXE
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_SEXE" MODIFY ("DESCRIPCIO" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_SEXE" ADD CONSTRAINT "DW_SEXE_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC_DWH"."DW_SEXE" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DW_TEMPS
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_TEMPS" ADD CONSTRAINT "DW_MES_ANY_UNIQUE" UNIQUE ("YEAR", "MES")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC_DWH"."DW_TEMPS" MODIFY ("MES" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_TEMPS" MODIFY ("YEAR" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_TEMPS" ADD CONSTRAINT "DW_TEMPS_PK" PRIMARY KEY ("ID")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC_DWH"."DW_TEMPS" MODIFY ("ID" NOT NULL ENABLE);
--------------------------------------------------------
--  Constraints for Table DW_VIDA
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_VIDA" MODIFY ("INTERCANVIADES" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_VIDA" MODIFY ("SUMAIMPORT" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_VIDA" MODIFY ("COMPRADES" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_VIDA" ADD CONSTRAINT "DW_VIDA_PK" PRIMARY KEY ("IDFRANJAEDAT", "IDPAIS", "IDSEXE", "IDTEMPS")
  USING INDEX PCTFREE 10 INITRANS 2 MAXTRANS 255 COMPUTE STATISTICS 
  STORAGE(INITIAL 65536 NEXT 1048576 MINEXTENTS 1 MAXEXTENTS 2147483645
  PCTINCREASE 0 FREELISTS 1 FREELIST GROUPS 1 BUFFER_POOL DEFAULT FLASH_CACHE DEFAULT CELL_FLASH_CACHE DEFAULT)
  TABLESPACE "USERS"  ENABLE;
  ALTER TABLE "PFC_DWH"."DW_VIDA" MODIFY ("IDTEMPS" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_VIDA" MODIFY ("IDSEXE" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_VIDA" MODIFY ("IDFRANJAEDAT" NOT NULL ENABLE);
  ALTER TABLE "PFC_DWH"."DW_VIDA" MODIFY ("IDPAIS" NOT NULL ENABLE);
--------------------------------------------------------
--  Ref Constraints for Table DW_AJUDA
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_AJUDA" ADD CONSTRAINT "DW_AJUDA_DW_FRANJAEDAT_FK" FOREIGN KEY ("IDFRANJAEDAT")
	  REFERENCES "PFC_DWH"."DW_FRANJAEDAT" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_AJUDA" ADD CONSTRAINT "DW_AJUDA_DW_PAIS_FK" FOREIGN KEY ("IDPAIS")
	  REFERENCES "PFC_DWH"."DW_PAIS" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_AJUDA" ADD CONSTRAINT "DW_AJUDA_DW_SEXE_FK" FOREIGN KEY ("IDSEXE")
	  REFERENCES "PFC_DWH"."DW_SEXE" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_AJUDA" ADD CONSTRAINT "DW_AJUDA_DW_TEMPS_FK" FOREIGN KEY ("IDTEMPS")
	  REFERENCES "PFC_DWH"."DW_TEMPS" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table DW_PARTIDA
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_PARTIDA" ADD CONSTRAINT "PARTIDA_DW_FRANJAEDAT_FK" FOREIGN KEY ("IDFRANJAEDAT")
	  REFERENCES "PFC_DWH"."DW_FRANJAEDAT" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" ADD CONSTRAINT "PARTIDA_DW_PAIS_FK" FOREIGN KEY ("IDPAIS")
	  REFERENCES "PFC_DWH"."DW_PAIS" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" ADD CONSTRAINT "PARTIDA_DW_SEXE_FK" FOREIGN KEY ("IDSEXE")
	  REFERENCES "PFC_DWH"."DW_SEXE" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" ADD CONSTRAINT "PARTIDA_DW_TEMPS_FK" FOREIGN KEY ("IDTEMPS")
	  REFERENCES "PFC_DWH"."DW_TEMPS" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_PARTIDA" ADD CONSTRAINT "PARTIDA_PLATAFORMA_FK" FOREIGN KEY ("IDPLATAFORMA")
	  REFERENCES "PFC_DWH"."DW_PLATAFORMA" ("ID") ENABLE;
--------------------------------------------------------
--  Ref Constraints for Table DW_VIDA
--------------------------------------------------------

  ALTER TABLE "PFC_DWH"."DW_VIDA" ADD CONSTRAINT "IDSEXE" FOREIGN KEY ("IDSEXE")
	  REFERENCES "PFC_DWH"."DW_SEXE" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_VIDA" ADD CONSTRAINT "IDTEMPS" FOREIGN KEY ("IDTEMPS")
	  REFERENCES "PFC_DWH"."DW_TEMPS" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_VIDA" ADD CONSTRAINT "ID_FRANJAEDAT" FOREIGN KEY ("IDFRANJAEDAT")
	  REFERENCES "PFC_DWH"."DW_FRANJAEDAT" ("ID") ENABLE;
  ALTER TABLE "PFC_DWH"."DW_VIDA" ADD CONSTRAINT "ID_PAIS" FOREIGN KEY ("IDPAIS")
	  REFERENCES "PFC_DWH"."DW_PAIS" ("ID") ENABLE;
--------------------------------------------------------
--  DDL for Trigger DW_TEMPSPKTRIGGER
--------------------------------------------------------

  CREATE OR REPLACE TRIGGER "PFC_DWH"."DW_TEMPSPKTRIGGER" 
BEFORE INSERT ON DW_Temps FOR EACH ROW
BEGIN
  SELECT IDDWTEMPS.nextval into :NEW.id from DUAL;
END;
/
ALTER TRIGGER "PFC_DWH"."DW_TEMPSPKTRIGGER" ENABLE;
